### Property

# Gtk Widget:tooltip-text

#### Declaration

    property tooltip-text: utf8 [ read, write ]

#### Description [src]

Sets the text of tooltip to be the given string.

Also see `gtk_tooltip_set_text()`.

This is a convenience property which will take care of getting the tooltip shown if the given string is not `NULL`: `GtkWidget:has-tooltip` will automatically be set to `TRUE` and there will be taken care of `GtkWidget::query-tooltip` in the default signal handler.

Note that if both `GtkWidget:tooltip-text` and `GtkWidget:tooltip-markup` are set, the last one wins.

Type: | `gchar*`

Default value | NULL
Getter method | `gtk_widget_get_tooltip_text()`
Setter method | `gtk_widget_set_tooltip_text()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no